.toystation-section {
  position: relative;
  z-index: 2;
  padding-top: 90px;
  padding-bottom: 100px;
  margin-top: -5px;
  position: relative;
}

.toystation-section::before {
  content: "";
  display: block;
  background-image: url(../images/toystation/bg/bg_biggacha_01.png);
  background-size: cover;
  background-position: top center;
  background-repeat: no-repeat;
  width: 100%;
  height: calc(100% + 42px);
  position: absolute;
  z-index: -1;
  top: -44px;
  left: 0;
  right: 0;
}
.toystation-section::after {
  content: "";
  display: block;
  position: absolute;
  z-index: -1;
  top: 40px;
  left: -12%;
  right: 0;
  margin: auto;
  width: 132%;
  height: 100%;
  background-image: url(../images/toystation/bg/bg_sp_02.png);
  background-size: 100%;
  background-position: top center;
  background-repeat: no-repeat;
  animation: upAndDown 8s infinite;
}

.toystation-section__title {
  max-width: 343px;
}

.toystation-section__text {
  max-width: 282px;
  margin-top: 32px;
}

.toystation-section__logo {
  max-width: 331px;
  margin-top: 32px;
  animation: float-gentle 4s ease-in-out infinite;
}

.toystation-section__image-container {
  position: relative;
}

.toystation-section__image--main {
  margin-top: 40px;
}

.toystation-section__image-deco {
  max-width: 70px;
  position: absolute;
  bottom: 0;
  left: 30px;
  animation: float-gentle 4s ease-in-out infinite;
  animation-delay: 0s;
}

.toystation-section__image-deco-02 {
  max-width: 55px;
  position: absolute;
  bottom: 0;
  right: 0px;
  animation: float-gentle 5s ease-in-out infinite;
  animation-delay: -4s;
}

.toystation-section__image--sub {
  margin-top: 10px;
  max-width: 343px;
}

.toystation-section__items {
  width: 343px;
  height: 272px;
  margin: 17px auto 0;
  position: relative;
}

.toystation-section__item {
  max-width: 130px;
  position: absolute;
}

.toystation-section__item--01 {
  bottom: 0;
  right: 50px;
  max-width: 113px;
  animation: float-gentle 2.8s ease-in-out infinite;
  animation-delay: 0s;
}

.toystation-section__item--02 {
  bottom: 0;
  left: 92px;
  max-width: 124px;
  animation: float-gentle 2.8s ease-in-out infinite;
  animation-delay: 0.3s;
}

.toystation-section__item--03 {
  top: 0;
  left: 0px;
  max-width: 111px;
  animation: float-gentle 2.8s ease-in-out infinite;
  animation-delay: 0.6s;
}

.toystation-section__item--04 {
  top: 10px;
  left: 0;
  right: 30px;
  margin: auto;
  max-width: 68px;
  z-index: -1;
  animation: float-gentle 2.8s ease-in-out infinite;
  animation-delay: 0.9s;
}

.toystation-section__item--05 {
  top: 15px;
  right: 62px;
  margin: auto;
  max-width: 95px;
  animation: float-gentle 2.8s ease-in-out infinite;
  animation-delay: 1.2s;
}

.toystation-section__item--06 {
  top: 0;
  right: 10px;
  bottom: 20px;
  z-index: -1;
  margin: auto;
  max-width: 80px;
  animation: float-gentle 2.8s ease-in-out infinite;
  animation-delay: 1.5s;
}

.toystation-section__item--07 {
  top: 70px;
  right: 70px;
  bottom: 20px;
  margin: auto;
  max-width: 80px;
  animation: float-gentle 2.8s ease-in-out infinite;
  animation-delay: 1.8s;
}

.toystation-section__item--08 {
  bottom: 7px;
  right: 0;
  margin: auto;
  max-width: 62px;
  animation: float-gentle 2.8s ease-in-out infinite;
  animation-delay: 2.1s;
}

.toystation-section__item--09 {
  bottom: 10px;
  left: 0;
  margin: auto;
  max-width: 114px;
}

.toystation-section__image--03 {
  margin-top: 41px;
  padding: 0 17px;
}
